<?php

// SOAP出力用日時フォーマット
define('SOAP_DATETIME_FORMAT', 'Y-m-d\TH:i:s\Z');
define('SOAP_DATE_FORMAT', 'Y-m-d');

/**
 * class PurchaseData
 * 個人情報クラス
 * jp.co.veritrans.card.web.ws.bean.PurchaseDataより移植
 *
 * @copyright
 */
class PurchaseData {

    /**
     * 決済方法
     * @var string
     */
    private $settlementType = null;
    /**
     * 決済方法サブタイプ
     * @var string
     */
    private $settlementSubType = null;
    /**
     * マーチャントID
     * @var string
     */
    private $merchantId = null;
    /**
     * 取引ID
     * @var string
     */
    private $orderId = null;
    /**
     * SessionID
     * @var string
     */
    private $sessionId = null;
    /**
     * 購入金額
     * @var string
     */
    private $amount = null;
    /**
     * カード売上フラグ
     * @var string
     */
    private $cardCaptureFlag = null;
    /**
     * モバイルEdy用ショップ名
     * @var string
     */
    private $shopName = null;
    /**
     * Suica用商品名
     * @var string
     */
    private $screenTitle = null;
    /**
     * 請求内容
     * @var string
     */
    private $contents = null;
    /**
     * 請求内容カナ
     * @var string
     */
    private $contentsKana = null;
    /**
     * 支払取消期限
     * @var string
     */
    private $timelimitOfCancel = null;
    /**
     * 注文番号
     * @var string
     */
    private $oricoOrderNo = null;
    /**
     * マーチャント生成ハッシュ値
     * @var string
     */
    private $merchanthash = null;
    /**
     * 決済結果通知先URL
     * @var string
     */
    private $finishPaymentAccessUrl = null;
    /**
     * 決済完了後戻りURL
     * @var string
     */
    private $finishPaymentReturnUrl = null;
    /**
     * 未決済時戻りURL
     * @var string
     */
    private $unfinishPaymentReturnUrl = null;
    /**
     * 決済エラー時戻りURL
     * @var string
     */
    private $errorPaymentReturnUrl = null;
    /**
     * 言語選択可否フラグ
     * @var string
     */
    private $langEnableFlag = null;
    /**
     * 使用言語
     * @var string
     */
    private $lang = null;
    /**
     * ダミー取引フラグ
     * @var string
     */
    private $dummyPaymentFlag = null;
    /**
     * 配送先郵便番号
     * @var string
     */
    private $shippingZipCode = null;
    /**
     * 送料
     * @var string
     */
    private $shippingAmount = null;
    /**
     * 商品合計金額
     * @var string
     */
    private $commodityAmount = null;
    /**
     * commodityDetails
     * @var CommodityDetail
     */
    private $commodityDetails = null;

    /**
     * 会員ID
     * @var string
     */
    private $accountId = null;

    /**
     * PayNowID使用フラグ
     * @var string
     */
    private $paynowidFlag = null;

    /**
     * 登録時振込番号
     * @var string
     */
    private $entryTransferNumber = null;

    /**
     * 振込期限
     * @var string
     */
    private $transferExpiredDate = null;

    /**
     * 口座管理方式
     * @var string
     */
    private $accountManageType = null;

    /**
     * 支店コード
     * @var string
     */
    private $branchCode = null;

    /**
     * 口座番号
     * @var string
     */
    private $accountNumber = null;

    /**
     * 銀行口座関連付け拒否フラグ
     * @var string
     */
    private $rejectBankAccount = null;

    /**
     * __constructur
     */
    public function __construct() {

    }

    /**
     * setTimelimitOfCancel
     * @param string
     */
    public function setTimelimitOfCancel($timelimitOfCancel) {
        $this->timelimitOfCancel = $timelimitOfCancel;
    }

    /**
     * getCommodityDetails
     * @return CommodityDetail
     */
    public function getCommodityDetails() {
        return $this->commodityDetails;
    }

    /**
     * setCommodityDetails
     * @param CommodityDetail
     */
    public function setCommodityDetails($commodityDetails) {
        $this->commodityDetails = $commodityDetails;
    }

    /**
     * 決済方法の取得
     * @return string 決済方法
     */
    public function getSettlementType() {
        return $this->settlementType;
    }

    /**
     * 決済方法の設定
     * @param string $settlementType 決済方法
     */
    public function setSettlementType($settlementType) {
        $this->settlementType = $settlementType;
    }

    /**
     * 決済方法サブタイプの取得
     * @return string 決済方法サブタイプ
     */
    public function getSettlementSubType() {
        return $this->settlementSubType;
    }

    /**
     * 決済方法サブタイプの設定
     * @param string $settlementType 決済方法サブタイプ
     */
    public function setSettlementSubType($settlementSubType) {
        $this->settlementSubType = $settlementSubType;
    }

    /**
     * マーチャントIDの取得
     * @return string マーチャントID
     */
    public function getMerchantId() {
        return $this->merchantId;
    }

    /**
     * マーチャントIDの設定
     * @param string $merchantId マーチャントID
     */
    public function setMerchantId($merchantId) {
        $this->merchantId = $merchantId;
    }

    /**
     * 取引IDの取得
     * @return string 取引ID
     */
    public function getOrderId() {
        return $this->orderId;
    }

    /**
     * 取引IDの設定
     * @param string $orderId 取引ID
     */
    public function setOrderId($orderId) {
        $this->orderId = $orderId;
    }

    /**
     * SessionIDの取得
     * @return string SessionID
     */
    public function getSessionId() {
        return $this->sessionId;
    }

    /**
     * SessionIDの設定
     * @param string $sessionId SessionID
     */
    public function setSessionId($sessionId) {
        $this->sessionId = $sessionId;
    }

    /**
     * 購入金額の取得
     * @return string 購入金額
     */
    public function getAmount() {
        return $this->amount;
    }

    /**
     * 購入金額の設定
     * @param string $amount 購入金額
     */
    public function setAmount($amount) {
        $this->amount = $amount;
    }

    /**
     * カード売上フラグの取得
     * @return string カード売上フラグ
     */
    public function getCardCaptureFlag() {
        return $this->cardCaptureFlag;
    }

    /**
     * カード売上フラグの設定
     * @param string $cardCaptureFlag カード売上フラグ
     */
    public function setCardCaptureFlag($cardCaptureFlag) {
        $this->cardCaptureFlag = $cardCaptureFlag;
    }

    /**
     * モバイルEdy用ショップ名の取得
     * @return string モバイルEdy用ショップ名
     */
    public function getShopName() {
        return $this->shopName;
    }

    /**
     * モバイルEdy用ショップ名の設定
     * @param string $shopName モバイルEdy用ショップ名
     */
    public function setShopName($shopName) {
        $this->shopName = $shopName;
    }

    /**
     * Suica用商品名の取得
     * @return string Suica用商品名
     */
    public function getScreenTitle() {
        return $this->screenTitle;
    }

    /**
     * Suica用商品名の設定
     * @param string $screenTitle Suica用商品名
     */
    public function setScreenTitle($screenTitle) {
        $this->screenTitle = $screenTitle;
    }

    /**
     * 請求内容の取得
     * @return string 請求内容
     */
    public function getContents() {
        return $this->contents;
    }

    /**
     * 請求内容の設定
     * @param string $contents 請求内容
     */
    public function setContents($contents) {
        $this->contents = $contents;
    }

    /**
     * 請求内容カナの取得
     * @return string 請求内容カナ
     */
    public function getContentsKana() {
        return $this->contentsKana;
    }

    /**
     * 請求内容カナの設定
     * @param string $contentsKana 請求内容カナ
     */
    public function setContentsKana($contentsKana) {
        $this->contentsKana = $contentsKana;
    }

    /**
     * 支払取消期限の取得
     * @return string 支払取消期限
     */
    public function getTimelimitOfCancel() {
        return $this->timelimitOfCancel;
    }

    /**
     * マーチャント生成ハッシュ値の取得
     * @return string マーチャント生成ハッシュ値
     */
    public function getMerchanthash() {
        return $this->merchanthash;
    }

    /**
     * マーチャント生成ハッシュ値の設定
     * @param string $merchanthash マーチャント生成ハッシュ値
     */
    public function setMerchanthash($merchanthash) {
        $this->merchanthash = $merchanthash;
    }

    /**
     * 決済結果通知先URLの取得
     * @return string 決済結果通知先URL
     */
    public function getFinishPaymentAccessUrl() {
        return $this->finishPaymentAccessUrl;
    }

    /**
     * 決済結果通知先URLの設定
     * @param string $finishPaymentReturnUrl 決済結果通知先URL
     */
    public function setFinishPaymentAccessUrl($finishPaymentAccessUrl) {
        $this->finishPaymentAccessUrl = $finishPaymentAccessUrl;
    }

    /**
     * 決済完了後戻りURLの取得
     * @return string 決済完了後戻りURL
     */
    public function getFinishPaymentReturnUrl() {
        return $this->finishPaymentReturnUrl;
    }

    /**
     * 決済完了後戻りURLの設定
     * @param string $finishPaymentReturnUrl 決済完了後戻りURL
     */
    public function setFinishPaymentReturnUrl($finishPaymentReturnUrl) {
        $this->finishPaymentReturnUrl = $finishPaymentReturnUrl;
    }

    /**
     * 未決済時戻りURLの取得
     * @return string 未決済時戻りURL
     */
    public function getUnfinishPaymentReturnUrl() {
        return $this->unfinishPaymentReturnUrl;
    }

    /**
     * 未決済時戻りURLの設定
     * @param string $unfinishPaymentReturnUrl 未決済時戻りURL
     */
    public function setUnfinishPaymentReturnUrl($unfinishPaymentReturnUrl) {
        $this->unfinishPaymentReturnUrl = $unfinishPaymentReturnUrl;
    }

    /**
     * 決済エラー済時戻りURLの取得
     * @return string 決済エラー時戻りURL
     */
    public function getErrorPaymentReturnUrl() {
        return $this->errorPaymentReturnUrl;
    }

    /**
     * 決済エラー時戻りURLの設定
     * @param string $errorPaymentReturnUrl 決済エラー時戻りURL
     */
    public function setErrorPaymentReturnUrl($errorPaymentReturnUrl) {
        $this->errorPaymentReturnUrl = $errorPaymentReturnUrl;
    }

    /**
     * 言語選択可否の取得
     * @return string 言語選択可否
     */
    public function getLangEnableFlag() {
        return $this->langEnableFlag;
    }

    /**
     * 言語選択可否の設定
     * @param string $langEnableFlag 言語選択可否
     */
    public function setLangEnableFlag($langEnableFlag) {
        $this->langEnableFlag = $langEnableFlag;
    }

    /**
     * 使用言語の取得
     * @return string 使用言語
     */
    public function getLang() {
        return $this->lang;
    }

    /**
     * 使用言語の設定
     * @param string $lang 使用言語
     */
    public function setLang($lang) {
        $this->lang = $lang;
    }

    /**
     * ダミー取引フラグの取得
     * @return string ダミー取引フラグ
     */
    public function getDummyPaymentFlag() {
        return $this->dummyPaymentFlag;
    }

    /**
     * ダミー取引フラグの設定
     * @param string $dummyPaymentFlag ダミー取引フラグ
     */
    public function setDummyPaymentFlag($dummyPaymentFlag) {
        $this->dummyPaymentFlag = $dummyPaymentFlag;
    }

    /**
     * 注文番号の取得
     * @return string 注文番号
     */
    public function getOricoOrderNo() {
        return $this->oricoOrderNo;
    }

    /**
     * 注文番号の設定
     * @param string $oricoOrderNo 注文番号
     */
    public function setOricoOrderNo($oricoOrderNo) {
        $this->oricoOrderNo = $oricoOrderNo;
    }

   /**
     * 配送先郵便番号の取得
     * @return string 配送先郵便番号
     */
    public function getShippingZipCode() {
        return $this->shippingZipCode;
    }

    /**
     * 配送先郵便番号の設定
     * @param string $zipCode 配送先郵便番号
     */
    public function setShippingZipCode($shippingZipCode) {
        $this->shippingZipCode = $shippingZipCode;
    }

    /**
     * 送料の取得
     * @return string 送料
     */
    public function getShippingAmount() {
        return $this->shippingAmount;
    }

    /**
     * 送料の設定
     * @param string $shippingAmount 送料
     */
    public function setShippingAmount($shippingAmount) {
        $this->shippingAmount = $shippingAmount;
    }

    /**
     * 商品合計金額の取得
     * @return string 商品合計金額
     */
    public function getCommodityAmount() {
        return $this->commodityAmount;
    }

    /**
     * 商品合計金額の設定
     * @param string $commodityAmount 商品合計金額
     */
    public function setCommodityAmount($commodityAmount) {
        $this->commodityAmount = $commodityAmount;
    }

    /**
     * 登録時振込番号の取得
     * @return string 登録時振込番号
     */
    public function getEntryTransferNumber() {
        return $this->entryTransferNumber;
    }

    /**
     * 登録時振込番号の設定
     * @param string $entryTransferNumber 登録時振込番号
     */
    public function setEntryTransferNumber($entryTransferNumber) {
        $this->entryTransferNumber = $entryTransferNumber;
    }

    /**
     * 振込期限の取得
     * @return string 振込期限
     */
    public function getTransferExpiredDate() {
        return $this->transferExpiredDate;
    }

    /**
     * 振込期限の設定
     * @param string $transferExpiredDate 振込期限
     */
    public function setTransferExpiredDate($transferExpiredDate) {
        $this->transferExpiredDate = $transferExpiredDate;
    }

    /**
     * 会員IDの取得
     * @return string 会員ID
     */
    public function getAccountId() {
        return $this->accountId;
    }

    /**
     * 会員IDの設定
     * @param string $accountId 会員ID
     */
    public function setAccountId($accountId) {
        $this->accountId = $accountId;
    }

    /**
     * PayNowID使用フラグの取得
     * @return string PayNowID使用フラグ
     */
    public function getPaynowidFlag() {
        return $this->paynowidFlag;
    }

    /**
     * PayNowID使用フラグの設定
     * @param string $paynowidFlag PayNowID使用フラグ
     */
    public function setPaynowidFlag($paynowidFlag) {
        $this->paynowidFlag = $paynowidFlag;
    }

    /**
     * 口座管理方式の取得
     * @return string 口座管理方式
     */
    public function getAccountManageType() {
        return $this->accountManageType;
    }

    /**
     * 口座管理方式の設定
     * @param string $accountManageType 口座管理方式
     */
    public function setAccountManageType($accountManageType) {
        $this->accountManageType = $accountManageType;
    }

    /**
     * 支店コードの取得
     * @return string 支店コード
     */
    public function getBranchCode() {
        return $this->branchCode;
    }

    /**
     * 支店コードの設定
     * @param string $branchCode 支店コード
     */
    public function setBranchCode($branchCode) {
        $this->branchCode = $branchCode;
    }

    /**
     * 口座番号の取得
     * @return string 口座番号
     */
    public function getAccountNumber() {
        return $this->accountNumber;
    }

    /**
     * 口座番号の設定
     * @param string $accountNumber 口座番号
     */
    public function setAccountNumber($accountNumber) {
        $this->accountNumber = $accountNumber;
    }

    /**
     * 銀行口座関連付け拒否フラグの取得
     * @return string 銀行口座関連付け拒否フラグ
     */
    public function getRejectBankAccount() {
        return $this->rejectBankAccount;
    }

    /**
     * 銀行口座関連付け拒否フラグの設定
     * @param string $accountNumber 銀行口座関連付け拒否フラグ
     */
    public function setRejectBankAccount($rejectBankAccount) {
        $this->rejectBankAccount = $rejectBankAccount;
    }


}

?>