<?php

/*
 * define.php
 *
 * 共通定義設定
 */
// 文字コード関係 ==================
// PHPスクリプトの文字コード
// 設置環境に合わせて変更する
define('VTW_BASE_ENCODE', 'UTF-8');
// HTMLのcontent-typeに設定する文字コード
define('VTW_HTML_ENCODE', 'UTF-8');
// VTWサーバへ送信する時の文字コード
// 通常は変更しない
define('VTW_SERVER_ENCODE', 'UTF-8');

// ファイル関係 ==================

/**
 * このファイルのあるパス
 * 以下、ファイルパスの相対設定に使用できる
 */
define('VTW_INCLUDE_DIR', dirname(__FILE__) . DIRECTORY_SEPARATOR);

/**
 * 3G-Webからの戻り値データファイル
 */
define('VTW_POST_DATA_BOX_FILE', VTW_INCLUDE_DIR . '../PostDataBox/PostDataBox.dat');

/**
 * メッセージリソースファイル
 */
define('VTW_MESSAGE_RESOURCE_FILE', VTW_INCLUDE_DIR . 'MessageResources.ini');

/**
 * HTTP POST送信先URL
 */
define('VTW_HTTP_POST_URI', 'https://pay.veritrans.co.jp/web1/commodityRegist.action');

/**
 * VTW決済サイトURL
 */
define('PAYMENT_URL', 'https://pay.veritrans.co.jp/web1/deviceCheck.action');

/*
 * 決済方式
 */
// 決済方式：決済情報入力時に選択
define('VTW_SETTLEMENT_TYPE_FREE', '00');

// 決済方式：カード決済
define('VTW_SETTLEMENT_TYPE_CARD', '01');

// 決済方式：コンビニ決済
define('VTW_SETTLEMENT_TYPE_CVS', '02');

// 決済方式：電子マネー決済
define('VTW_SETTLEMENT_TYPE_EM', '03');

// 決済方式：銀行決済
define('VTW_SETTLEMENT_TYPE_BANK', '04');

// 決済方式：ショッピングクレジット決済
define('VTW_SETTLEMENT_TYPE_ORICOSC', '05');

// 決済方式：銀行振込決済
define('VTW_SETTLEMENT_TYPE_VACC', '06');

// デフォルト決済方式。00を指定
define('VTW_SETTLEMENT_TYPE', VTW_SETTLEMENT_TYPE_FREE);

// デフォルト支払取消期限
define('TIMELIMIT_OF_CANCEL', 60);

/*
 * コンビニ決済オプション
 */
// コンビニ決済オプション：セブンイレブン
define('CVS_SUBTYPE_711', '201');

// コンビニ決済オプション：ローソン、ファミリーマートその他
define('CVS_SUBTYPE_ECON', '205');

// コンビニ決済オプション：サークルK、サンクス、デイリーヤマザキ、ミニストップ
define('CVS_SUBTYPE_OTHER', '204');


/*
 * 電子マネー決済オプション
 */
// 電子マネー決済オプション:PC EDY
define('EM_SUBTYPE_EDY_PC', '311');

// 電子マネー決済オプション:モバイルEDY
define('EM_SUBTYPE_EDY_MOBILE', '312');

// 電子マネー決済オプション:PC Suica。
define('EM_SUBTYPE_SUICA_PC', '321');

// 電子マネー決済オプション:モバイル Suica
define('EM_SUBTYPE_SUICA_MOBILE', '322');

// 電子マネー決済オプション:PC WAON
define('EM_SUBTYPE_WAON_PC', '331');

// 電子マネー決済オプション:モバイルWAON
define('EM_SUBTYPE_WAON_MOBILE', '332');


/*
 * 銀行決済オプション
 */
// ATM決済
define('BANK_SUBTYPE_ATM', '411');

// ネットバンク決済
define('BANK_SUBTYPE_NETBANK', '420');


// 商品情報の商品ID未入力時に設定するダミー値
define('DUMMY_COMMODITY_ID', 'DUMMY_ID');

// 商品情報のJAN_CODE未入力時に設定するダミー値
define('DUMMY_COMMODITY_JANCODE', 'DUMMY_JANCODE');

// ログ関係 ==================
/**
 * ユーザDEBUGレベル
 * PHP5では未定義のため、追加
 */
if (!defined('E_USER_DEBUG')) {
    define('E_USER_DEBUG', 8192); // 0x2000
}
/**
 * E_USER_DEBUGを含めた全レベル
 * PHP5では未定義のため、追加
 */
if (!defined('E_USER_DEBUGALL')) {
    define('E_USER_DEBUGALL', 16383); // 0x3fff
}
// 出力レベルの指定
// 複数指定の場合は、E_USER_DEBUGALL
// または各レベルのor結合（ex. E_USER_ERROR | E_USER_WARNING）
// E_USER_DEBUGALL= all
// E_USER_ERROR   = error
// E_USER_WARNING = warn
// E_USER_NOTICE  = info
// E_USER_DEBUG   = debug
//全てのログ
//define('LOGGER_LEVEL', E_USER_DEBUGALL);
//DEBUGを除く（info以上）
define('LOGGER_LEVEL', E_USER_DEBUGALL & ~E_USER_DEBUG);
//errorまたはwarn
//define('LOGGER_LEVEL', E_USER_ERROR | E_USER_WARNING);
?>