<?php

// 共通インクルードファイル
require_once('common.php');

/**
 * class OricoscForm
 * 入力フォームクラス
 * jp.co.veritrans.sample.server.action.orico.OricoscFormより移植
 */
class OricoscForm extends CommodityForm {

    /**
     * ログクラス
     */
    private $log = null;

    /**
     * コンストラクタ
     */
    public function __construct() {
        parent::__construct();
        $this->setSettlementType(VTW_SETTLEMENT_TYPE_ORICOSC);
        $this->log = new Logger(__CLASS__);
    }

    /**
     * ActionFormのabstruct method
     * エラーチェック
     * 厳密なチェックはVTWebで行うため、ここでは形式的なチェックのみでも問題ありませんが、
     * レスポンスタイム等を考慮し、必要に応じてチェック内容をご検討下さい。
     *
     * @return array() エラーメッセージ（配列）
     */
    public function validate() {
        $log = $this->log->getMethodLog(__METHOD__);
        $errors = array();

        // 配送先郵便番号
        if ($this->IsEmpty($this->getShippingZipCode())) {
            $log->debug("未入力：配送先郵便番号");
            $errors[] = $this->actionMessage("error.shippingZipCode.notset");
        }

        $parentErrors = parent::validate();
        $count = count($parentErrors);
        for ($i = 0; $i < $count; $i++) {
            $errors[] = $parentErrors[$i];
        }

        return $errors;
    }
}

?>