<?php

// 共通インクルードファイル
require_once('common.php');

/**
 * class VaccForm
 * 入力フォームクラス
 * jp.co.veritrans.sample.server.action.vacc.VaccFormより移植
 */
class VaccForm extends CommodityForm {

    /**
     * ログクラス
     */
    private $log = null;

    /**
     * コンストラクタ
     */
    public function __construct() {
        parent::__construct();
        $this->setSettlementType(VTW_SETTLEMENT_TYPE_VACC);
        $this->log = new Logger(__CLASS__);
    }

    /**
     * ActionFormのabstruct method
     * エラーチェック
     * @return array() エラーメッセージ（配列）
     */
    public function validate() {
        $log = $this->log->getMethodLog(__METHOD__);
        $errors = array();

        // 支店コード
        if (!$this->IsEmpty($this->getBranchCode())) {
            if (!$this->IsNumeric($this->getBranchCode())) {
                $errors[] = $this->actionMessage("error.vacc_branchCode.invalid");
            }
        }

        // 口座番号
        if (!$this->IsEmpty($this->getAccountNumber())) {
            if (!$this->IsNumeric($this->getAccountNumber())) {
                $errors[] = $this->actionMessage("error.vacc_accountNumber.invalid");
            }
        }

        $parentErrors = parent::validate();
        $count = count($parentErrors);
        for ($i = 0; $i < $count; $i++) {
            $errors[] = $parentErrors[$i];
        }

        return $errors;
    }

}

?>